Subject: bug#17330: files.el cd-absolute overcome false negative from file-executable-p

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 May 2014 18:44:46 -0400

> I'd still like to hear if file-accessible-directory-p does any better
> than file-executable-p. At least on !DOS_NT, it seems to be something a
> bit different.

Indeed file-accessible-directory-p would probably be better than
file-executable-p.  Whether it's sufficiently better to keep the error,
I don't know.

>> I think the simplest solution for now is to turn the error into a warning.
> Sounds good, but might be annoying on Unix platforms; if as you say
> this situation is impossible there an error might be clearer for them.

Agreed.

        Stefan